local Engine, Api, Locale, Settings = unpack(Immersive)

Engine.Core = {}

-- Outputs a message to the default chat window when in debug mode.
Engine.Core.Debug = function (message, ...)
	message = message or ""
	if Settings:IsDebug() then
		print("|cffffbb00" .. Engine.AddOnName .. ": |cffffffff" .. message, ...)
	end
end

-- Outputs a message to the default chat window.
Engine.Core.Output = function (message, ...)
	message = message or ""
	print("|cffffbb00" .. Engine.AddOnName .. ": |cffffffff" .. message, ...)
end

-- Packs a variable number of parameters into a table array.
Engine.Core.Pack = function(...)
	return { n = select("#", ...), ... }
end