local AddOnName, AddOn = ...
local L = LibStub("AceLocale-3.0"):NewLocale(AddOnName, "enUS", true)

L.ADDON_NAME = "Immersive"

-- Api Module
L.API_MODE_ALL_TITLE = "Conditional (All)"
L.API_MODE_ANY_TITLE = "Conditional (Any)"
L.API_MODE_HIDDEN_TITLE = "Always Hidden"

-- Configuration Module
L.CONFIG_CPU_USAGE = "CPU Usage (per second): %.2f%%"
L.CONFIG_RELOAD_REQUIRED = "CVar 'scriptProfile' has been enabled. Reload UI is required."
L.CONFIG_SLIDER_FORMATTED_TEXT = "%s (%ss)"
L.CONFIG_SLIDER_TYPE_DELAY_TEXT = "Delay"
L.CONFIG_SLIDER_TYPE_FADE_TEXT = "Fade"

L.CONFIG_MODULE_IMMERSIVE_NAME = "Immersive"
L.CONFIG_MODULE_IMMERSIVE_TITLE = "Immersive"
L.CONFIG_MODULE_IMMERSIVE_SUBTEXT = "These options affect Immersive and all of its actived modules."
L.CONFIG_MODULE_IMMERSIVE_DEBUG_TEXT = "Debug Mode"
L.CONFIG_MODULE_IMMERSIVE_DEBUG_TOOLTIP = "Enables developer mode."
L.CONFIG_MODULE_IMMERSIVE_VERSION_TEXT = "|TInterface\\OptionsFrame\\UI-OptionsFrame-NewFeatureIcon:0:0:0:-1|t  Current addon version: v%s"

L.CONFIG_MODULE_DEFAULT_NAME = "Default UI"
L.CONFIG_MODULE_DEFAULT_TITLE = "Default Blizzard UI"
L.CONFIG_MODULE_DEFAULT_SUBTEXT = "These options affect the behaviour of all supported default interface elements."
L.CONFIG_MODULE_DEFAULT_ENABLED_TEXT = "Enabled"
L.CONFIG_MODULE_DEFAULT_ENABLED_TOOLTIP = "Enable or disable the Default UI module."
L.CONFIG_MODULE_DEFAULT_ELEMENT_ENABLED_TOOLTIP = "Check this box to enable the automated visibility of %s."
L.CONFIG_MODULE_DEFAULT_HOTSPOT_TEXT = "Enable Hotspot"
L.CONFIG_MODULE_DEFAULT_HOTSPOT_TOOLTIP = "Check this box to enable the ability to activate and display the element by mousing over its region."
L.CONFIG_MODULE_DEFAULT_MODE_TITLE = "Mode:"
L.CONFIG_MODULE_DEFAULT_MODE_TOOLTIP = ""

L.CONFIG_MODULE_ELVUI_NAME = "ElvUI"
L.CONFIG_MODULE_ELVUI_TITLE = "ElvUI"
L.CONFIG_MODULE_ELVUI_SUBTEXT = "These options affect the behaviour of all supported ElvUI elements."
L.CONFIG_MODULE_ELVUI_ENABLED_TEXT = "Enabled"
L.CONFIG_MODULE_ELVUI_ENABLED_TOOLTIP = "Enable or disable the ElvUI module."
L.CONFIG_MODULE_ELVUI_NOTICE_TEXT = "|TInterface\\OptionsFrame\\UI-OptionsFrame-NewFeatureIcon:0:0:0:-1|t  ElvUI support coming soon!"

L.CONFIG_MODULE_TUKUI_NAME = "Tukui"
L.CONFIG_MODULE_TUKUI_TITLE = "Tukui"
L.CONFIG_MODULE_TUKUI_SUBTEXT = "These options affect the behaviour of all supported Tukui elements."
L.CONFIG_MODULE_TUKUI_ENABLED_TEXT = "Enabled"
L.CONFIG_MODULE_TUKUI_ENABLED_TOOLTIP = "Enable or disable the Tukui module."
L.CONFIG_MODULE_TUKUI_NOTICE_TEXT = "|TInterface\\OptionsFrame\\UI-OptionsFrame-NewFeatureIcon:0:0:0:-1|t  Tukui support coming soon!"

-- Default Module
L.DEFAULT_MODE_GEMS_TITLE = "Chat Gems"
L.DEFAULT_MODE_GEMS_CONTROLLER_TOOLTIP = "Click to open chat."
L.DEFAULT_MODE_GEMS_CHANNEL_TOOLTIP_READ = "No unread message(s)."
L.DEFAULT_MODE_GEMS_CHANNEL_TOOLTIP_UNREAD = "%d unread message(s)."

L.DEFAULT_DEBUG_WELCOME = "Hello |c%s%s|cffffffff, prepare to be immersed!"
L.DEFAULT_RELOAD_REQUIRED = "To apply the selected changes, reloading the UI is required. Reload UI now?"
L.DEFAULT_RELOAD_REQUIRED_YES = "Yes"
L.DEFAULT_RELOAD_REQUIRED_NO = "No"

L.DEFAULT_BUFF_FRAME_TITLE = "Buffs"
L.DEFAULT_CHAT_FRAME_TITLE = "Chat Windows"
L.DEFAULT_MAIN_MENU_BAR_TITLE = "Main Hotbar"
L.DEFAULT_MINIMAP_CLUSTER_TITLE = "Minimap"
L.DEFAULT_MULTIBAR_BOTTOM_LEFT_TITLE = "Hotbar Bottom Left"
L.DEFAULT_MULTIBAR_BOTTOM_RIGHT_TITLE = "Hotbar Bottom Right"
L.DEFAULT_MULTIBAR_LEFT_TITLE = "Side Hotbar Left"
L.DEFAULT_MULTIBAR_RIGHT_TITLE = "Side Hotbar Right"
L.DEFAULT_OBJECTIVE_TRACKER_FRAME_TITLE = "Objective Tracker"
L.DEFAULT_PARTY_MEMBER_FRAME_TITLE = "Party Members"
L.DEFAULT_PET_ACTION_BAR_FRAME_TITLE = "Pet Action Bar"
L.DEFAULT_PLAYER_FRAME_TITLE = "Player Health Frame"
L.DEFAULT_COMPACT_RAID_FRAME_TITLE = "Raid Members"
L.DEFAULT_STANCE_BAR_FRAME_TITLE = "Stance Bar"
L.DEFAULT_TARGET_FRAME_TITLE = "Target Health Frame"

L.DEFAULT_BUFF_ACTIVE_CONDITION_TITLE = "Buff Active"
L.DEFAULT_BUFF_ACTIVE_CONDITION_TOOLTIP = "Check this box to show an element if the player has one or more buffs currently active."
L.DEFAULT_DEBUFF_ACTIVE_CONDITION_TITLE = "Debuff Active"
L.DEFAULT_DEBUFF_ACTIVE_CONDITION_TOOLTIP = "Check this box to show an element if the player has one or more debuffs currently active."
L.DEFAULT_HUNGRY_CONDITION_TITLE = "Player Not Full Health"
L.DEFAULT_HUNGRY_CONDITION_TOOLTIP = "Check this box to show an element if the player is not at full health."
L.DEFAULT_IN_ARENA_CONDITION_TITLE = "In Arena"
L.DEFAULT_IN_ARENA_CONDITION_TOOLTIP = "Check this box to show an element if the player is currently in an arena."
L.DEFAULT_IN_BATTLEGROUND_CONDITION_TITLE = "In Battleground"
L.DEFAULT_IN_BATTLEGROUND_CONDITION_TOOLTIP = "Check this box to show an element if the player is currently in a battleground."
L.DEFAULT_IN_COMBAT_CONDITION_TITLE = "In Combat"
L.DEFAULT_IN_COMBAT_CONDITION_TOOLTIP = "Check this box to show an element if the player is in combat."
L.DEFAULT_IN_PET_BATTLE_CONDITION_TITLE = "In Pet Battle"
L.DEFAULT_IN_PET_BATTLE_CONDITION_TOOLTIP = "Check this box to show an element if the player is engaged in a pet battle."
L.DEFAULT_PARTY_HUNGRY_CONDITION_TITLE = "Party Member Not Full Health (Healer Only)"
L.DEFAULT_PARTY_HUNGRY_CONDITION_TOOLTIP = "Check this box to show an element if a party member is not at full health (Healer only)."
L.DEFAULT_RAID_HUNGRY_CONDITION_TITLE = "Raid Member Not Full Health (Healer Only)"
L.DEFAULT_RAID_HUNGRY_CONDITION_TOOLTIP = "Check this box to show an element if a raid member is not at full health (Healer only)."
L.DEFAULT_TARGET_AVAILABLE_CONDITION_TITLE = "Target Available"
L.DEFAULT_TARGET_AVAILABLE_CONDITION_TOOLTIP = "Check this box to show an element if the player has a target."
L.DEFAULT_TARGET_ENEMY_CONDITION_TITLE = "Target Is An Enemy"
L.DEFAULT_TARGET_ENEMY_CONDITION_TOOLTIP = "Check this box to show an element if the player's current target is considered an enemy."
L.DEFAULT_TARGET_HOSTILE_CONDITION_TITLE = "Target Is Neutral / Hostile"
L.DEFAULT_TARGET_HOSTILE_CONDITION_TOOLTIP = "Check this box to show an element if the player's current target is Neutral / Hostile."
L.DEFAULT_TARGET_IN_PARTY_CONDITION_TITLE = "Target Is In Party"
L.DEFAULT_TARGET_IN_PARTY_CONDITION_TOOLTIP = "Check this box to show an element if the player's current target is in the party."
L.DEFAULT_TARGET_IN_RAID_CONDITION_TITLE = "Target Is In Raid"
L.DEFAULT_TARGET_IN_RAID_CONDITION_TOOLTIP = "Check this box to show an element if the player's current target is in the raid."
L.DEFAULT_TARGET_PLAYER_CONDITION_TITLE = "Target Is Another Player"
L.DEFAULT_TARGET_PLAYER_CONDITION_TOOLTIP = "Check this box to show an element if the player's current target is another player."
L.DEFAULT_THIRSTY_CONDITION_TITLE = "Player Not Full Mana"
L.DEFAULT_THIRSTY_CONDITION_TOOLTIP = "Check this box to show an element if the player is not at full mana (Mana classes only)."

-- Chat Channels
L.SAY = "Say"
L.YELL = "Yell"
L.BN_WHISPER = "Battle.net Whisper"
L.WHISPER = "Whisper"
L.GUILD = "Guild"
L.OFFICER = "Officer"
L.PARTY = "Party"
L.PARTY_LEADER = "Party Leader"
L.RAID = "Raid"
L.RAID_LEADER = "Raid Leader"
L.RAID_WARNING = "Raid Warning"
L.INSTANCE_CHAT = "Instance Chat"
L.INSTANCE_CHAT_LEADER = "Instance Chat Leader"