﻿local Engine, Api, Locale, Settings = unpack(Immersive)

-- Registration
local Configuration = Engine:RegisterModule("Configuration")

local IsLoaded = false

-- Initialize the module.
function Configuration:OnInitialize()
	-- Register module options, force Configuration to run first
	Configuration:RegisterOptions()

	-- Delay the registration of module options until after all modules are registered
	self:RegisterEvent("PLAYER_ENTERING_WORLD", "OnLoad")

	-- Register debug profiler
	self:RegisterProfiler()
end

-- Called when the module is enabled.
function Configuration:OnEnable()
	if Settings:IsDebug() then
		self:EnableProfiler()
	end
end

-- Called when the module is disabled.
function Configuration:OnDisable()
	Configuration:DisableProfiler()
end

-- Register the default settings for the module.
function Configuration:OnRegisterDefaults()
	return { Enabled = true }
end

function Configuration:OnLoad()
	if not IsLoaded then
		for name, module in pairs(Engine.Modules) do
			if name ~= "Configuration" then
				module:RegisterOptions()
			end
		end
		IsLoaded = true
	end
end