﻿local Engine, Api, Locale, Settings = unpack(Immersive)

-- Constants
local CHATFRAME_NAME = "ChatFrame%d"
local CHATFRAME_TAB_NAME = "ChatFrame%dTab"

local Default = Engine:GetModule("Default")

-- Registers the element.
function Default:RegisterChatFrame()
	local settings = Settings:Get(self.Name).Elements["ChatFrame"]
	if settings.Mode == "GEMS" then
		self:RegisterChatFrameGemsMode()
	else
		self:RegisterChatFrameClassicMode()
	end
end

-- Unregisters the element.
function Default:UnregisterChatFrame()
	local settings = Settings:Get(self.Name).Elements["ChatFrame"]
	if settings.Mode == "GEMS" then
		self:UnregisterChatFrameGemsMode()
	else
		self:UnregisterChatFrameClassicMode()
	end
end

function Default:RegisterChatFrameHotspots(element)
	element:AddHotspot(Api:GetContainableRect(ChatFrame1, ChatFrame1Tab, FriendsMicroButton, ChatFrameMenuButton))
	for i = 2, NUM_CHAT_WINDOWS do
		-- Create seperate hotspots per chat frame, it's ok that all chat frames will fade in for now
		local frame = _G[string.format(CHATFRAME_NAME, i)]
		local tab = _G[string.format(CHATFRAME_TAB_NAME, i)]
		if frame:IsShown() or tab:IsShown() then
			element:AddHotspot(Api:GetContainableRect(frame, tab))
		end
	end
end

function Default:UnregisterChatFrameHotspots(element)
	element:ClearHotspots()
end