﻿local Engine, Api, Locale, Settings = unpack(Immersive)

local Default = Engine:GetModule("Default")

-- Registers the element.
function Default:RegisterStanceBarFrame()
	local settings = Settings:Get(self.Name).Elements["StanceBarFrame"]
	local stance = Api:RegisterElement("StanceBarFrame", settings)
	
	-- Add frames
	stance:AddFrame(StanceBarFrame)
	
	-- Add conditions
	stance:AddConditionRange(settings.Conditions)
	
	-- Add hotspots
	stance:AddHotspot(StanceBarFrame:GetRect())
end

-- Unregisters the element.
function Default:UnregisterStanceBarFrame()
	Api:UnregisterElement("StanceBarFrame")
end